### Method

# Soup AuthDomain covers

#### Declaration [src]

    gboolean
    soup_auth_domain_covers (
      SoupAuthDomain* domain,
      SoupServerMessage* msg
    )

#### Description [src]

Checks if `domain` requires `msg` to be authenticated (according to its paths and filter function).

This does not actually look at whether `msg` is authenticated, merely whether or not it needs to be.

This is used by `SoupServer` internally and is probably of no use to anyone else.

#### Parameters

`msg`

  Type: `SoupServerMessage`

  A `SoupServerMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if `domain` requires `msg` to be authenticated.